1. Custom Fields
Leadfeeder API
  • Introduction
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Retrieve Companies
    • Company Financial Reports
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Retrieve Company IPs
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Get Buyer Persona Details
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Get Ideal Customer Profile Details
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
      GET
    • Create Custom Field
      POST
    • Get Custom Field Details
      GET
    • Update Custom Field
      PATCH
    • Delete Custom Field
      DELETE
  • Usage
    • Get Endpoints Usage
  • Schemas
    • VisitLocationV1
    • LocationV1
    • CRMUserV1
    • CRMOrganizationV1
    • ICPV1
    • CRMContactV1
    • IpAddressExtendedV1
    • CompanyIpV1
    • CRMLeadV1
    • WebVisitV1
    • BuyerPersonaV1
    • CRMConnectionV1
    • CRMSuggestionV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • CustomFeedRequestV1
    • AccountV1
    • MaskedContactSummaryV1
    • CustomFeedV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • CompanyLocationV1
    • AccountSummaryV1
    • ErrorObjectV1
    • MaskedCompanySummaryV1
    • CompanyV1
    • NetworkV1
    • CompanyFinancialsV1
    • SignalV1
    • CompanySummaryV1
    • TagV1
    • ListV1
    • CompanyMatchV1
    • CustomFieldV1
    • ContactV1
    • ContactSummaryV1
    • EnrichedIpV1
    • ApiUsageV1
  1. Custom Fields

Create Custom Field

POST
/v1/custom-fields
Create a new custom field in the account.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Success
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
🔴500Server Error
🔴504Gateway Timeout
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api.leadfeeder.com/v1/custom-fields?account_id=123456' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "data": {
        "type": "custom_field",
        "attributes": {
            "name": "Prospect Status",
            "type": "text",
            "scope": "company"
        }
    }
}'
Response Response Example
200 - Example 1
{
    "data": {
        "type": "custom_field",
        "id": "score",
        "attributes": {
            "name": "Prospect",
            "scope": "company",
            "type": "text",
            "read_only": true,
            "source": "system",
            "created_at": "2024-12-10T15:57:25Z",
            "updated_at": "2024-11-24T11:50:00Z",
            "configuration": {
                "prompt": "string",
                "prompt_category": "job_listings",
                "prompt_with_external_data": true
            }
        },
        "relationships": {
            "created_by": {
                "id": "12345",
                "type": "user"
            }
        }
    },
    "meta": {
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
Modified at 2026-05-04 13:48:12
Previous
Retrieve Custom Fields
Next
Get Custom Field Details
Built with